# Uses of Class
org.eclipse.birt.report.model.api.ElementFactory

Packages that use ElementFactory
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of ElementFactory in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return ElementFactory
Modifier and Type
Method
Description
`ElementFactory`
DesignElementHandle.`getElementFactory()`
Returns the element factory for creating new report elements.